import org.junit.jupiter.api.Test;
import org.junit.platform.launcher.Launcher;
import org.junit.platform.launcher.LauncherDiscoveryRequest;
import org.junit.platform.launcher.core.LauncherDiscoveryRequestBuilder;
import org.junit.platform.launcher.core.LauncherFactory;

public class mainParallelTestRunner {

    public void startAllTests(){
        Thread test1 = new Thread(this::runDrawTest);
        Thread test2 = new Thread(this::runWinXTest);
        Thread test3 = new Thread(this::runRandomMoveTest);
        Thread test4 = new Thread(this::runWinOTest);
        Thread test5 = new Thread(this::runErrorTest);
       test1.start();
       test2.start();
       test3.start();
       test4.start();
       test5.start();

    }
    @Test
    public void runDrawTest() {
        LauncherDiscoveryRequest testDraw = LauncherDiscoveryRequestBuilder.request()
                .selectors(org.junit.platform.engine.discovery.DiscoverySelectors.selectClass(testDraw.class))
                .build();
        Launcher launcher = LauncherFactory.create();
        launcher.execute(testDraw);
    }
    @Test
    public void runWinOTest() {
        LauncherDiscoveryRequest testWinO = LauncherDiscoveryRequestBuilder.request()
                .selectors(org.junit.platform.engine.discovery.DiscoverySelectors.selectClass(testWinO.class))
                .build();
        Launcher launcher = LauncherFactory.create();
        launcher.execute(testWinO);
    }

    @Test
    public void runWinXTest(){
        LauncherDiscoveryRequest testWinX = LauncherDiscoveryRequestBuilder.request()
                .selectors(org.junit.platform.engine.discovery.DiscoverySelectors.selectClass(testWinX.class))
                .build();
        Launcher launcher = LauncherFactory.create();
        launcher.execute(testWinX);
    }
    @Test
    public void runRandomMoveTest(){
        LauncherDiscoveryRequest testRandomeMove = LauncherDiscoveryRequestBuilder.request()
                .selectors(org.junit.platform.engine.discovery.DiscoverySelectors.selectClass(testRandomMoves.class))
                .build();
        Launcher launcher = LauncherFactory.create();
        launcher.execute(testRandomeMove);
    }
    @Test
    public void runErrorTest() {
        LauncherDiscoveryRequest testError = LauncherDiscoveryRequestBuilder.request()
                .selectors(org.junit.platform.engine.discovery.DiscoverySelectors.selectClass(testError.class))
                .build();
        Launcher launcher = LauncherFactory.create();
        launcher.execute(testError);
    }
}