import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.openqa.selenium.*;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

public class playMoveLogic {

    static Logger logger = LogManager.getLogger(playMoveLogic.class);
    public static boolean testFailed;


    static boolean playMove(int row, int col, String player, WebDriverWait wait, WebDriver driver) throws InterruptedException {
        String cellXpath = String.format("//table[@class='KD6xlc']//tr[%d]//td[%d]", row + 1, col + 1);
        try {
            WebElement cell = wait.until(ExpectedConditions.elementToBeClickable(By.xpath(cellXpath)));

            logger.info(String.format("player %s make move in  [%d, %d] в %s",
                    player, row, col, LocalDateTime.now().format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"))));
            cell.click();
            simulatePauseLogic.simulatePause(281,291);
            return true;
        } catch (ElementClickInterceptedException | TimeoutException e) {
            testFailed = true;
            logger.error(String.format("Cant click in [%d, %d] in player %s: %s%n", row, col, player, e.getMessage()));
            return false;
        }
    }



}
