import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.openqa.selenium.By;
import org.openqa.selenium.TimeoutException;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

public class selectGameModeLogic {

    static Logger logger = LogManager.getLogger(selectGameModeLogic.class);
    public static boolean testFailed;


    static boolean selectGameMode(WebDriverWait wait, WebDriver driver) {

        try {
            logger.info("Выбор режима игры с другом...");
            WebElement button =  wait.until(ExpectedConditions.elementToBeClickable(By.className("byDAwb")));
            button.click();

            WebElement playWithFriendOption = wait.until(ExpectedConditions.elementToBeClickable(
                    By.xpath("//g-menu-item[@data-difficulty='pvp']")));
            playWithFriendOption.click();
            logger.info("Mode 'Play With Friends' successfully selected.");
            return true;
        } catch (TimeoutException e) {
            testFailed = true;
            logger.error("error: " + e.getMessage());
            return false;
        }
    }
}
