import io.qameta.allure.Step;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.util.Arrays;
import java.util.List;

public class printBoardLogic {


    @Step("Вывод состояния игрового поля")
    public static void printBoardState(WebDriverWait wait, WebDriver driver) {
        List<WebElement> cells = driver.findElements(By.cssSelector("table[jsname='z2IlVe'] td[jsname='WfZakb']"));
        String[][] board = new String[3][3];

        for (WebElement cell : cells) {
            int row = Integer.parseInt(cell.getAttribute("data-row"));
            int col = Integer.parseInt(cell.getAttribute("data-col"));


            String state;
            if (cell.findElement(By.cssSelector("svg[jsname='uECznc']")).isDisplayed()) {
                state = "X";
            } else if (cell.findElement(By.cssSelector("svg[jsname='D7yUae']")).isDisplayed()) {
                state = "O";
            } else {
                state = " ";
            }

            board[row][col] = state;
        }


        System.out.println("Текущее состояние поля:");
        for (String[] row : board) {
            System.out.println(Arrays.toString(row));
        }
    }
}

