import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.openqa.selenium.By;
import org.openqa.selenium.TimeoutException;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

public class restartGameLogic {
    static Logger logger = LogManager.getLogger(restartGameLogic.class);
    public static boolean testFailed;
    static void restartGame(WebDriverWait wait, WebDriver driver) throws InterruptedException {

        try {
            WebElement restartButton =  wait.until(ExpectedConditions.elementToBeClickable(
                    By.xpath("//div[contains(text(),'Начать заново')]")));
            restartButton.click();
            simulatePauseLogic.simulatePause(289,292);
            logger.info("Game restart.");
        } catch (TimeoutException e) {
            testFailed = true;
            logger.error("Cant restarting game: " + e.getMessage());
        }
    }
}
